# Possibly Plunder: Risk of Rain 2 Modpack

#### 90% Balanced, 95% Faithful to RoR2. Focused on quality of life mods and adding build variety, mainly by buffing weaker skills or adding new skills to survivors. Also a few new characters, items, and tweaking vanilla. A lot of mods in this pack have had items, skills etc. removed or altered to keep things from getting too overwhelming and retaining a sense of balance and originality.



## Changelog

### v1.1.2

Given the new Umbral Mythrix is now no longer an opt-in optional boss I'm looking to try to adjust the encounter to somewhere between regular Mythrix and this umbral version. I may revert the pack to the opt-in pre 2.0 version. For now looking to reduce it's emphasis on percise floor positioning that favors mobility survivors and punishes low/high movespeed itemization over combat ability. His health has increased a bit to compensate.

Want to share your thoughts? Here's a quick 1 question survey, [link](https://forms.gle/qqFjoXYXSnwzLLFKA)

Umbral Mythrix 2.0:
- Ultimate Lines Reduced (8 lines -> 6 lines)
- Reduced number of times ultimate fires (6 times -> 5 times)
- Projectile homing reduced (25 -> 20)
- Base Health Increased (1000 -> 1111)
- Base Attack Speed Lowerd (1.25 -> 1.1)

Small Things:
- Fixed Void Cornucopia from spawning in weird places like the bazzaar
- Little more readme cleanup

<details><summary>v1.1.1:</summary>
<p> 

Items:
- Disabled Infinity Gauntlet Lunar Item
- The Disabled Void Bucket List (Notice of Abscence) will now no longer be recieved from parasite conversions
- Added Void Conversion for Ignition Tank, Deficient Clepsydra (Provides a chance to duplicate damage over time afflictions)
- Enabled Consumed Void Encrusted Keys to be Repaired at Repair Shrine

Gameplay:
- Removed Multiple Mountain Shrines causing Stacking Shrine Icons over teleporter

Survivor Skills:
- Bandit has been given a stick of dynamite as an option, because bandit
- Commando has been given another primary and a secondary skill option
- Artificer Ion Surge Returned to Vanilla Behavior w/ damage(8 -> 10) and aoe(14 -> 15) buffed 
- Artificer has been given Frost Surge special skill as a horizontal movement option

Other:
- Trying to clean up this Readme a bit.
</p>
</details>

<details><summary>v1.1.0:</summary>
<p> 

Main Update Goals
- Improved Run Variety
- Junk Item Interaction Consistency
- Acquiring Movespeed Consistency
- Adding Equipment and Red Item Variety
- Void Item Variance
- Deepen Barrier Utilization
- Captain Balance
- More Novel Skin Options
- Similacrum Overhaul

Gameplay
- Stages now have some rotating retexture and reshade options to spice things up (I've tried to remove some that have been too out there, too heavy on particles, or in some cases blinding from the mod, let me know if any still annoy you)
- Blue Portal natural spawn rate increased 5% -> 20%
- Many, many interactibles now have their own unique ping icons
- Enemy spawn and boss spawn pools for stages have been edited in a thematic way to promote a bit more variety and a bit less stone titan and starter pests XD
- Looping will add enemy variety to stages each loop
- Added Clay, Solus, Parent and Vermin Family Events
- Added Clay Men
- Simulacrum Overhaul
- TC280, Healing Shrines and Stationary Turrets now Cost Less

Red Items
- Added Ancient Scepter (Powers Up one of a Survivors Skill w/ an improved version)
- Mint Condition now gives 2 jumps instead of 1 for the first pickup
- Repulsion Armor Mk2 (Reduces damage and scales with Armor Plates you have)
- Acid Soaked Blindfold (Summons Blind Vermins with 10 items to fight w/ you)

Green Items
- Hunter's Harpoon replaced w/ Escape Plan (Gain 75% move speed, increased w/ decreasing health)
- Added Eternal Slug (Stops Barrier Decay past 20% health)

White Items
- Replaced Cracked Halo w/ Bucket List (Increases movespeed w/ less bonus durring boss fights)
- Added Gem Carapace (Gain barrier after taking damage)
- Using Rusted Keys now leaves behind a consumed key junk item and can interact with
	- Scavenger's Pouch
	- Void Scrap
	- Repair Anvils
- Hopoo Egg jump height increased 20% -> 30%

Void Items
- Added Void Scrap (Can be used with Common Printers. Corrupts Broken Items)
- Added Shifted Quartz (Increases Damage by 15% when no enemies are within 17m, Corrupts Focus Crystals)
- Added Recursion Bullets (Attacking Bosses increases attack speed, Corrupts Armor Piercing Rounds)
- Added Scintillating Jet (Getting hit increases armor by 20 for 2 seconds. Corrupts all Oddly-shaped Opals)
- Added Adrenaline Sprout (Gain 0.03 regen per missing health while in danger. Corrupts all Cautious Slugs)
- Added Zealotry Embrace (Deal 25% more damage on enemies with less than 3 debuffs. Corrupts all Death Marks)
- Added Submerging Cistern (While in combat, the nearest ally wihin 20m of you will be 'tethered'. Dealing damage will heal tethered allies for 50% of damage dealt. Corrupts all Mired Urns)
- Added Lost Seers Tragedy (Killing an Enemy spawns a Barnacle with 3 Common Void Items. Corrupts Acidic Soaked Blindfolds)
- Added Ceaseless Cornucopia (Recieve a special, dangerous delivery with powerful rewards. Corrupts all Shipping Request Forms)
- Removed Enhancement Vials (Corrupted Power Elixer): Encouraging standing still and safely taking damage below a threashold each stage just wasn't making for good gameplay

Void Lunar Items
- Void Sacks now contain Void Coins and Void Enemies can drop Void Coins
- Void Coins are an in run currency that will not cary over between attempts
- Added Several Void Lunar Items that can be purchased in the Bazzaar by the Void Fields Portal for said Void Coins

Equipment
- Added Wildlife Camera (Take a photo of an enemy, and spawn them as an ally later)
- Re-Added Volcanic Egg

Captain
- Hack Beacon Radius Greatly Increased 10m -> 25m
- Shock Beacon Duration Slightly Increased 8s -> 9s
- Shock Chain Reach Increased 15m -> 18m
- Primary projectiles returned to normal count 6 -> 8

Artifacts
- Added an Artifact that turns all chests into multi shops for when you want some extra selection but not quite an artifact of command power spike or menu tedium in your run

SOTV Enemy Changes
- Blind Pest
	- Attack Speed Decreased 100% -> 75%
	- Move Speed Increased 100% -> 110%
- Blind Vermin
	- Health Decreased 100% -> 90%
- Larva
	- Health Decreased 100% -> 60%
	- Move Speed Decreased 100% -> 90%
</p>
</details>

<details><summary>v1.0.4:</summary>
<p> 

Shrines of the Mountain:
- %10 more likely to spawn
- %10 chance to be Amber
	- Difficulty of Using 3x Shrines of the Mountain
	- Gives an Extra Yellow item per Player
- 5% chance to be Crimson
	- Difficulty of Using 5x Shrines of the Mountain
	- Gives an Extra Red item per Player

Acrid:
- Applying Blight now refreshes existing blight stacks on enemies

Railgunner:
- New Skins(Night Ops & Snow Camo)

Engineer Overhaul:
- New Skills
	- Gauss Scatter[Shotgun] Primary Skill
	- Plasma Grenade Secondary Skill
- Increased Base Jump Height and Move Speed
- Bouncing Grenades
	- No longer charges
	- Always fires 4 grenades
	- Increased Damage and AoE
- Both Mines(Pressure and Spider)
	- ~10% more damage
	- Halved Charges
	- Reduced[Halved] Cooldowns
	- Backup Mags now give more mines [Up to 8]
- Bubble Shield
	- Now Does Damage and Pushes Most Enemies Out
	- Reduced Cooldown
	- Shortened Duration
- Thermal Harpoons
	- Infinite Range
	- Slightly More Damage
- Turrets
	- ~10% less damage
	- Mobile Turrets are now Faster and can Sprint
	- AI improvements
- New Factorio Inspired Skin

</p>
</details>

<details><summary>v1.0.3:</summary>
<p> 

Item Changes:
- Bucket List Removed for now to tighten the white item pool a bit

Artificer Big Changes:
- Removed Two Primaries that were Clunky and Redundant
- Added a Flamewall Skill
- Adjusted numbers and settings accross pretty much all skills w/ overall goals being
	- Ice Skills focusing on battle mage, close ranged dps and mass CC
	- Fire Skills on ignition damage over time and kiting
	- Electric Skills being more fluid and encouraging playing at a mix of ranges
	- Improving the feel of early game
	- Increasing damage that fits her very low inate mobility and survivability
	
Bandit Big Changes:
- Now has 200% more mustachioed pressence potential, seems a bit over tuned, I know

Fixes:
- Disabled Items are now More Dissabled [Wont Show Up From Recycler, No Locked Icons in Artifact Command Menu]

</p>
</details>

<details><summary>v1.0.2:</summary>
<p> 

- Empathy Health Regen on Enemy Taking Damage 2 -> 4
- Shrine of Heracy Weight 1 -> 0.7
- Shrine of Dissorder Weight 1 -> 0.8
- Added Repair Anvil That Can Fix Up to 2 Broken Items for Money
- Added Male Hunter[Huntress] Skin
- HIFU Huntress Balance, large buffs to arrow rain, slight buffs to blink and laser glaive
- Added new Lunar Enemy to the Moon Lunar Construct
- Made Void Reaver attacks deadlier
- Voidling Bossfight Rework
- Have you ever died with Pluripotent Larva and thought, "Wow, that didn't corrupt literally all of my items. this game sucks!" I uh, me neither, but..anyway... 8 new void items
	- Corrupted Crowbar: Deal more damage as enemies lose health
	- Corrupted Watch: Gain Items at stage start, breaks items at low health
	- Corrupted Elixirs: Upgrades items at low health
	- Corrupted Fireworks: Launches Fireworks on Skill Use
	- Corrupted Gas: Killing Enemies slows and eventually freezes enemies nearby
	- Corrupted Guillotine: On Kill effects ocur again on killing an elite and pulse damage
	- Corrupted Feather: Gain an airdash
	- Corrupted Laser Scope: Not critting gives you a stacking damage buff up to a cap

</p>
</details>

<details><summary>v1.0.1:</summary>
<p> 

- Reduced the initial cooldown of The Unforgivable death effect default time 8s -> 6s
- Added a 40k Grey Knight Skin for Paladin
- Updated BlepInExPack
- Updated LobbySkinsFix
- Mercenary Tweaks: Gives Mercenary a jump reset on kill, and prevents ruining his skills and attacks with too much attack speed
- Leviathan Skills: Increases Mercenary Weeb Potential with a few new Ninja themed skills
- Commando Cooked Grenade: Adds a higher damage slower cooldown cookable grenade skill option. Don't over cook it 😉
- Commando Phase Lightning: Buffs Commando's Default Secondary Skill
</p>
</details>

## What's the pack for?
This is a modpack made for the community of streamer [TheyCallMeSilvers](https://www.twitch.tv/theycallmesilvers/about) but it should be an overall good time for anyone looking for a pack with a bit more variety and quality of life on top of the vanilla experience.

## How the Pack Changes Risk of Rain 2

TDLR: Generally the pack is trying to add run variety while staying vanilla tight, if mod content is too niche, too weird, or too strong it isn't in. What is in is synergistic, fun and strategy opening, to the best of my ability.

### Core Gameplay:
* Players can join mid run
* Mulitplayer Cap Increased
* Players can be revived by standing in a AOE field dropped on their death that drains the health of survivors to resurrect their fallen comrade
* Teleport Waypoints after pinging or getting close enough
* Slightly reduce teleporter charge by killing mobs after boss death
* New Shrines
* New rare elemenatal aspect item drops
* Scrapers and Printers go 3x faster
* Items that fall of the map get teleported back up
* Enemies Spawn Faster Early Game
* Warbanner and Queen Gland Buffed
* Optional tougher end boss fight

### Core Items

#### Vanilla Items Removed
* Remote Caffinator
* Squid Pollup
* Grimoirs Tome
* Hunter's Harpoon
* Regenerating Scrap
* Lepton Daisy

#### New Items
<details><summary>Common(x7):</summary>
<p>

- AtG Prototype
- Bucket List
- 400 Tickets
- Sharp Anchor
- Gem Carapace
- Hopoo Egg
- Shard of Glass
</p>
</details>

<details><summary>Uncommon(x8):</summary>
<p>

- Empathy
- Charged Urchin
- Illegal Drone Coolant
- Soy Sauce
- Escape Plan
- Eternal Slug
- Scavenger's Pouch
- The Unforgivable
</p>
</details>

<details><summary>Legendary(x7):</summary>
<p>

- Apathy
- Do Not Eat
- Elder Mutagen
- Acid Soaked Blindfold
- Repulsion Armor Plate Mk2
- Mint Condition
- Wicked Ring
</p>
</details>

<details><summary>Lunar(x0):</summary>
<p>

- None
</p>
</details>

<details><summary>Void(x27):</summary>
<p>

Common(x11):
- Drop of Necrosis
- Abyssal Talon
- Recursion Bullets
- Scintillating Jet
- Shifted Quartz
- Void Scrap
- Adrenaline Sprout
- Abyss-Touched Adze
- Clockwork Mechanism
- Supercritical Coolant
- Extraterrestrial Exhaust

Uncommon(x5):
- Discovery
- Deficient Clepsydra
- Ceaseless Cornucopia
- Quasitemporal Quill
- Executioner's Burden

Legendary(x3):
- Lost Seers Tragedy
- The Hermit
- Lens-Maker's Orrery

Lunar(x8):
- Abstracted Locus
- Clumped Sand
- Deep Descent
- Hydrophily
- Imperfection
- Orbs of Falsity
- Seeping Ocean
- Tarnished

</p>
</details>

<details><summary>Equipment(x1):</summary>
<p>

- Wildlife Camera
</p>
</details>


#### Printer Items Blacklisted
* Rusted Key
* Roll of Pennies
* Bucket List
* Hopoo Egg
* Banner
* Red Whip
* Regenerating Scrap
* Shipping Request Form
* Queen's Gland

### UI
* More details on items
* Personal DPS meter
* Shows a few stats like crit and attack speed from items
* Items are sorted
* Scrolling for menus to support extra characters/skins
* Cause of Death now sent in chat
* Lots of Skins
* Random Character and Random Loadout Buttons in Lobby

### Character Changes
* Most Characters get A Few New Skills
* Commonly Under Used Skills are Buffed (Ex: Acrid Blight)
* Some Character tweaking mods (felt most heavily on engi and cap)
* Usability Improvements (Ex:Huntress Aim Improvements, Coloring Acrid Blight Purple...)

### New Characters
* Sniper
* Chef
* Gunslinger
* Dancer
* Paladin
* Templar
* Tesla Trooper
* Desolator